# zone\_occupancy (realtime)

InnerSpace publishes occupancy of a zone in near realtime, typically with a latency of 30s-5mins. Latency is most strongly influenced by the frequency by which the WIFI Infrastructure pushes data to InnerSpace for processing.

### Example

```graphql
// query
query zone_metrics(
  $limit: Int,
  $offset: Int,
  $order_by: [zone_occupancy_order_by!],
  $where: zone_occupancy_bool_exp
) {
  zone_occupancy(
    limit: $limit,
    offset: $offset,
    order_by: $order_by,
    where: $where
  ) {
    site_id
    zone_id
    date_time
    granularity
    occupancy
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.innerspace.io/deprecated-api-2025-05-26/api-reference-v1-deprecated/zone_occupancy-realtime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
